#include<iostream>
using namespace std;

int T,n,m,k,a[2000005],top;
int main()
{
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	scanf("&d",T);
	for(int i = 0;i < T;i++)
	{
		scanf("%d %d %d",&n,&m,&k);
		for(int l = 0;l < m;l++)
			scanf("%d",a + l);
		top = m - 1;
	}
	
}
